MenuGroupTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.MenuGroupTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class MenuGroupTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.MenuGroupTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class MenuGroupTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MenuGroupTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setDirection(java.lang.String __direction)`
`void` | `setDisabled(java.lang.String __disabled)`
`void` | `setEvent(java.lang.String __event)`
`void` | `setIcon(java.lang.String __icon)`
`void` | `setIconClass(java.lang.String __iconClass)`
`void` | `setIconDisabled(java.lang.String __iconDisabled)`
`void` | `setIconFolder(java.lang.String __iconFolder)`
`void` | `setIconFolderDisabled(java.lang.String __iconFolderDisabled)`
`void` | `setIconStyle(java.lang.String __iconStyle)`
`void` | `setOnclose(java.lang.String __onclose)`
`void` | `setOnopen(java.lang.String __onopen)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSelectClass(java.lang.String __selectClass)`
`void` | `setSelectStyle(java.lang.String __selectStyle)`
`void` | `setShowDelay(java.lang.String __showDelay)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuGroupTag

    public MenuGroupTag()

Method Detail

### setOnclose

    public void setOnclose(java.lang.String __onclose)

### setIconClass

    public void setIconClass(java.lang.String __iconClass)

### setShowDelay

    public void setShowDelay(java.lang.String __showDelay)

### setIconDisabled

    public void setIconDisabled(java.lang.String __iconDisabled)

### setOnopen

    public void setOnopen(java.lang.String __onopen)

### setIcon

    public void setIcon(java.lang.String __icon)

### setIconFolderDisabled

    public void setIconFolderDisabled(java.lang.String __iconFolderDisabled)

### setDisabled

    public void setDisabled(java.lang.String __disabled)

### setSelectClass

    public void setSelectClass(java.lang.String __selectClass)

### setSelectStyle

    public void setSelectStyle(java.lang.String __selectStyle)

### setDirection

    public void setDirection(java.lang.String __direction)

### setIconStyle

    public void setIconStyle(java.lang.String __iconStyle)

### setEvent

    public void setEvent(java.lang.String __event)

### setIconFolder

    public void setIconFolder(java.lang.String __iconFolder)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.